<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Campaign Components|E-mail">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Global settings define the settings that projects can share and are useful if you have information that you want to reuse in different projects. A good example of a reusable and shareable resource is a mail server." /><title>Defining Global SMTP Settings for All E-mail Based Campaigns</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/defining-global-smtp-settings-for-email-based-campaigns.html">Open topic with navigation</a>
        </p>
        <h3>Defining Global SMTP Settings for All E-mail Based Campaigns</h3>
        <p>Global settings define the settings that projects can share and are useful if you have information that you want to reuse in different projects. A good example of a reusable and shareable resource is a mail server.</p>
        <p>Please note that <span class="VariablesProductName">Metasploit Pro</span> does not include a mail transfer agent, but you can configure it to connect to a locally or remotely hosted mail server. You just need to set up the SMTP settings for your mail server through the global settings.</p>
        <p>When you globally define the <a name="kanchor159"></a>SMTP settings, <span class="VariablesProductName">Metasploit Pro</span> automatically configures the e-mail server for campaigns that contain an e-mail component. You do not need to configure any additional settings for your mail server.</p>
        <p>If there is a special case in which you do not want to use the global mail server settings, you can override them in the campaign.</p>
        <ol>
            <li value="1">From the main menu, select <b class="UISelection">Administration &gt; Global Setting</b>s.</li>
            <li value="2">When the Global Settings page appears, find the SMTP settings.</li>
            <li value="3">Enter the following information to configure the SMTP settings:</li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><b class="UISelection">Address </b>- The fully qualified mail server address (e.g., mail.domain.com).</li>
            <li class="indentedList" value="2"><b class="UISelection">Port </b>- The port that the mail server runs on. Typically, SMTP runs on Port 25.</li>
            <li class="indentedList" value="3"><b class="UISelection">Domain </b>- The hosted domain name for your mail server (e.g., domain.com)</li>
            <li class="indentedList" value="4"><b class="UISelection">Username </b>- The user name that the system uses to authenticate the mail server.</li>
            <li class="indentedList" value="5"><b class="UISelection">Password </b>- The password that the system uses to authenticate the mail server.</li>
            <li class="indentedList" value="6"><b class="UISelection">Authentication </b>- The authentication type determines the level of security and the login mechanism that is used to connect to the SMTP server.</li>
        </ul>
        <ol start="4">
            <li value="4">Click the <b class="UISelection">Update button</b> to save the settings.</li>
        </ol>
        <p>&#160;</p>
    </body>
</html>